Bug 1560273 - Review Request: paintown - 2D fighting game
Summary: Review Request: paintown - 2D fighting game
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-25 13:45 UTC by Antonio T. (sagitter)
Modified: 2018-04-02 11:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-02 11:48:33 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Antonio T. (sagitter) 2018-03-25 13:45:40 UTC
Spec URL: https://sagitter.fedorapeople.org/paintown/paintown.spec
SRPM URL: https://sagitter.fedorapeople.org/paintown/paintown-3.6.1-0.1.20180113git8a71ac8.fc27.src.rpm

Description:
Paintown is a 2D fighting game in the same style as Double Dragon and TMNT.
Paintown is very extensible and comes with editors to help design new levels
and animations.

Fedora Account System Username: sagitter

Note: This package is currectly for Fedora only.

Comment 1 Robert-André Mauchin 🐧 2018-03-27 14:55:38 UTC
 - Group: is not needed in Fedora

 - unzip -uqq %{SOURCE2} 

SOURCE2 is a tar.gz and it doesn't seem to work with unzip:

BUILDSTDERR: [/builddir/build/SOURCES/r-tech1-6636b452f5a9b55d2831bcb74c23eb991c12ee50.tar.gz]
BUILDSTDERR:   End-of-central-directory signature not found.  Either this file is not
BUILDSTDERR:   a zipfile, or it constitutes one disk of a multi-part archive.  In the
BUILDSTDERR:   latter case the central directory and zipfile comment will be found on
BUILDSTDERR:   the last disk(s) of this archive.
BUILDSTDERR: unzip:  cannot find zipfile directory in one of /builddir/build/SOURCES/r-tech1-6636b452f5a9b55d2831bcb74c23eb991c12ee50.tar.gz or
BUILDSTDERR:         /builddir/build/SOURCES/r-tech1-6636b452f5a9b55d2831bcb74c23eb991c12ee50.tar.gz.zip, and cannot find /builddir/build/SOURCES/r-tech1-6636b452f5a9b55d2831bcb74c23eb991c12ee50.tar.gz.ZIP, period.

Use tar -xf %{SOURCE2} instead.

 - License issue: misc/vagrant/chef-cookbooks/ is under ASL 2.0. Add it to the license field.

 - Add a comment explaining the licenses breakdown



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "LGPL (v2)", "LGPL (v2 or later)", "GPL (v2 or
     later)", "Unknown or generated", "*No copyright* BSD (3 clause)", "*No
     copyright* Apache", "CC0", "zlib/libpng", "GPL (v2 or later) (with
     incorrect FSF address)", "*No copyright* BSD (unspecified)", "BSD (3
     clause)", "BSD (2 clause)", "LGPL (v2.1 or later)", "*No copyright*
     LGPL (v2.1 or later)", "*No copyright* Apache (v2.0)". 4644 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/paintown/review-paintown/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     paintown-data , paintown-fonts
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64.rpm
          paintown-data-3.6.1-0.1.20180113git8a71ac8.fc29.noarch.rpm
          paintown-fonts-3.6.1-0.1.20180113git8a71ac8.fc29.noarch.rpm
          paintown-debuginfo-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64.rpm
          paintown-debugsource-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64.rpm
          paintown-3.6.1-0.1.20180113git8a71ac8.fc29.src.rpm
paintown.x86_64: E: missing-call-to-setgroups-before-setuid /usr/bin/paintown-bin
paintown.x86_64: W: only-non-binary-in-usr-lib
paintown.x86_64: W: no-manual-page-for-binary paintown
paintown.x86_64: W: no-manual-page-for-binary paintown-bin
paintown-data.noarch: W: no-documentation
paintown-data.noarch: W: dangling-symlink /usr/share/paintown-3.6.1/data/fonts/Neuropol.ttf /usr/share/fonts/paintown/Neuropol.ttf
paintown-data.noarch: W: dangling-symlink /usr/share/paintown-3.6.1/data/fonts/arial.ttf /usr/share/fonts/paintown/arial.ttf
paintown-data.noarch: W: dangling-symlink /usr/share/paintown-3.6.1/data/fonts/chiller.ttf /usr/share/fonts/paintown/chiller.ttf
paintown-data.noarch: W: dangling-symlink /usr/share/paintown-3.6.1/data/fonts/forte.ttf /usr/share/fonts/paintown/forte.ttf
paintown-data.noarch: W: dangling-symlink /usr/share/paintown-3.6.1/data/fonts/frenchscript.ttf /usr/share/fonts/paintown/frenchscript.ttf
paintown-data.noarch: W: dangling-symlink /usr/share/paintown-3.6.1/data/fonts/rosewood.otf /usr/share/fonts/paintown/rosewood.otf
paintown-data.noarch: W: dangling-symlink /usr/share/paintown-3.6.1/data/fonts/snap.ttf /usr/share/fonts/paintown/snap.ttf
paintown-data.noarch: W: dangling-symlink /usr/share/paintown-3.6.1/data/fonts/stencil.ttf /usr/share/fonts/paintown/stencil.ttf
paintown-fonts.noarch: W: no-documentation
paintown-debugsource.x86_64: W: no-documentation
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/r-tech1/src/libs/dumb/include/dumb.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/r-tech1/out/release/libs/dumb/include/dumb.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/r-tech1/src/libs/gme/Gme_File.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/r-tech1/out/release/libs/gme/Gme_File.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/r-tech1/src/libs/gme/Music_Emu.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/r-tech1/out/release/libs/gme/Music_Emu.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/r-tech1/src/libs/gme/blargg_common.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/r-tech1/out/release/libs/gme/blargg_common.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/r-tech1/src/libs/gme/gme.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/r-tech1/out/release/libs/gme/gme.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/factory/font_render.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/factory/font_render.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/mugen/ast/Expression.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/mugen/ast/Expression.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/mugen/ast/Section.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/mugen/ast/Section.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/mugen/ast/Value.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/mugen/ast/Value.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/mugen/ast/argument.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/mugen/ast/argument.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/mugen/ast/ast.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/mugen/ast/ast.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/mugen/ast/attribute-array.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/mugen/ast/attribute-array.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/mugen/ast/attribute-keyword.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/mugen/ast/attribute-keyword.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/mugen/ast/attribute-simple.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/mugen/ast/attribute-simple.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/mugen/ast/attribute.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/mugen/ast/attribute.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/mugen/ast/exception.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/mugen/ast/exception.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/mugen/ast/filename.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/mugen/ast/filename.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/mugen/ast/function.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/mugen/ast/function.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/mugen/ast/helper.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/mugen/ast/helper.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/mugen/ast/hitdef.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/mugen/ast/hitdef.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/mugen/ast/identifier.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/mugen/ast/identifier.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/mugen/ast/key.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/mugen/ast/key.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/mugen/ast/keyword.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/mugen/ast/keyword.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/mugen/ast/number.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/mugen/ast/number.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/mugen/ast/range.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/mugen/ast/range.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/mugen/ast/resource.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/mugen/ast/resource.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/mugen/ast/string.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/mugen/ast/string.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/mugen/ast/value-attribute.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/mugen/ast/value-attribute.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/mugen/ast/value-list.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/mugen/ast/value-list.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/mugen/ast/walker.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/mugen/ast/walker.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/mugen/common.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/mugen/common.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/mugen/config.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/mugen/config.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/mugen/exception.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/mugen/exception.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/mugen/item-content.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/mugen/item-content.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/mugen/item.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/mugen/item.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/mugen/section.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/mugen/section.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/mugen/sound.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/mugen/sound.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/mugen/sprite.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/mugen/sprite.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/mugen/util.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/mugen/util.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/openbor/pack-reader.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/openbor/pack-reader.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/paintown-engine/factory/object_factory.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/paintown-engine/factory/object_factory.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/paintown-engine/game/mod.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/paintown-engine/game/mod.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/paintown-engine/game/nameplacer.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/paintown-engine/game/nameplacer.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/paintown-engine/network/network.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/paintown-engine/network/network.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/paintown-engine/object/animation.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/paintown-engine/object/animation.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/paintown-engine/object/character.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/paintown-engine/object/character.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/paintown-engine/object/object.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/paintown-engine/object/object.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/paintown-engine/object/object_attack.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/paintown-engine/object/object_attack.h
paintown-debugsource.x86_64: W: cross-directory-hard-link /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/src/paintown-engine/object/trigger.h /usr/src/debug/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/build/allegro5/paintown-engine/object/trigger.h
6 packages and 0 specfiles checked; 1 errors, 63 warnings.

Comment 2 Antonio T. (sagitter) 2018-03-27 16:40:04 UTC
> - Group: is not needed in Fedora

It's expected for Games (https://fedoraproject.org/wiki/SIGs/Games/Packaging)

>SOURCE2 is a tar.gz and it doesn't seem to work with unzip:

Right! Fixed.
I had changed Source1-2 without testing.

>- License issue: misc/vagrant/chef-cookbooks/ is under ASL 2.0. Add it to the license field.

Those are files not involved; erased in %prep.

> - Add a comment explaining the licenses breakdown

Done.

Spec URL: https://sagitter.fedorapeople.org/paintown/paintown.spec
SRPM URL: https://sagitter.fedorapeople.org/paintown/paintown-3.6.1-0.1.20180113git8a71ac8.fc27.src.rpm

Comment 3 Robert-André Mauchin 🐧 2018-03-27 17:01:27 UTC
 - By deleting misc, you deleted the logo:

+ cp -p misc/logo-256x256.png /builddir/build/BUILDROOT/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/usr/share/icons/hicolor/256x256/apps/paintown-256x256.png
BUILDSTDERR: cp: cannot stat 'misc/logo-256x256.png': No such file or directory

Comment 4 Antonio T. (sagitter) 2018-03-27 18:58:28 UTC
(In reply to Robert-André Mauchin from comment #3)
>  - By deleting misc, you deleted the logo:
> 
> + cp -p misc/logo-256x256.png
> /builddir/build/BUILDROOT/paintown-3.6.1-0.1.20180113git8a71ac8.fc29.x86_64/
> usr/share/icons/hicolor/256x256/apps/paintown-256x256.png
> BUILDSTDERR: cp: cannot stat 'misc/logo-256x256.png': No such file or
> directory

Yes, of course. Fixed this hitch.
I'm leaving unchanged the release number.

Spec URL: https://sagitter.fedorapeople.org/paintown/paintown.spec
SRPM URL: https://sagitter.fedorapeople.org/paintown/paintown-3.6.1-0.1.20180113git8a71ac8.fc27.src.rpm

Comment 5 Robert-André Mauchin 🐧 2018-03-27 19:07:29 UTC
Ok, package approved.

Comment 6 Artur Frenszek-Iwicki 2018-03-28 18:04:11 UTC
(In reply to Antonio Trande from comment #2)
> > - Group: is not needed in Fedora
> It's expected for Games (https://fedoraproject.org/wiki/SIGs/Games/Packaging)
Some time ago I've had this discussion with someone more experienced than me and they said the SIG guidelines should not contradict the main guidelines. 

I took a look at the linked page and it seems that the last edit was made in May 2008... that's almost 10 years ago. I'll scribble an e-mail to the "games" mailing list asking if we can update the document.

Comment 7 Gwyn Ciesla 2018-03-28 20:40:35 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/paintown

Comment 8 Fedora Update System 2018-03-29 12:27:54 UTC
paintown-3.6.1-0.1.20180113git8a71ac8.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8ffde52097

Comment 9 Fedora Update System 2018-03-29 12:28:04 UTC
paintown-3.6.1-0.1.20180113git8a71ac8.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-930a6c068e

Comment 10 Fedora Update System 2018-03-29 13:59:14 UTC
paintown-3.6.1-0.1.20180113git8a71ac8.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8ffde52097

Comment 11 Fedora Update System 2018-03-29 17:58:51 UTC
paintown-3.6.1-0.1.20180113git8a71ac8.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-930a6c068e

Comment 12 Fedora Update System 2018-04-02 11:48:33 UTC
paintown-3.6.1-0.1.20180113git8a71ac8.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.